/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package langid;

import java.io.IOException;

/**
 *
 * @author cle-32-pc
 */
public class Preprocessor {

    public static void main(String[] args) throws IOException {

    }
    
//    public String getText(String str) {
//        /**
//         * Uses Jsoup to extract the contents of tags in the webpage.
//         */
//        
//        return Jsoup.parse(str).select("p").text();
//    }

    public boolean hasArabicUnicode(String str) {
        /**
         * Iterates over the input string character-by-character and returns
         * true when it comes across one that lies in the Arabic Unicode range
         * U0600 - U06FF.
         */
        for (int i = 0; i < str.length(); i++) {
            if ((int) str.charAt(i) >= 1536 && (int) str.charAt(i) <= 1791) {
                return true;
            }
        }
        return false;
    }

    public String normalize(String str) {
        /**
         * Uses regular expressions to remove all diacritics and replace any
         * non-letter characters with a space.
         */

        str = str.replaceAll("\\p{M}+", "");        // remove all diacritics
        str = str.replaceAll("[^\\p{L}+]", " ");    // replace all non-letter characters with a space
//        str = str.replaceAll("[^\\p{InArabic}+]", " ");     // replace all non-Arabic characters with a space

        return str.trim();
    }

    public String[] tokenize(String str) {
        /**
         * Tokenizes an input string on any whitespace characters and returns a
         * string array.
         */
        return str.trim().split("\\s+");
    }
}
